List audit logs

Returns the audit log for the workspace. Requires enterprise tier and the audit_log_read permission.

Headers

xi-api-keystringOptional

Query parameters

limitintegerOptional1-100Defaults to 50
Maximum number of entries per page
cursorstring or nullOptional

Cursor for the next page (from previous response)

time_from_unix_msinteger or nullOptional

Only include entries at or after this time (ms since epoch)

time_to_unix_msinteger or nullOptional

Only include entries at or before this time (ms since epoch)

actor_uidstring or nullOptional
Filter by actor user ID
class_namestring or nullOptional

Filter by OCSF event class name (e.g. Account Change)

activity_namestring or nullOptional

Filter by audit activity name (e.g. Subscription Creation)

Response

Successful Response
entrieslist of objects
has_moreboolean
next_cursorstring or null

Errors

422
Unprocessable Entity Error